org.eclipse.gmt.modisco.infra.facet.core

## Class FacetSetCatalog

- java.lang.Object
- - EcoreCatalog
  - - org.eclipse.gmt.modisco.infra.facet.core.FacetSetCatalog

Deprecated.
Replaced by EMF Facet

    @Deprecated
    public final class FacetSetCatalog
    extends EcoreCatalog

### Field Summary

Fields
`static java.lang.String` `FILE_EXTENSION` Deprecated.
`static java.lang.String` `REGISTRATION_EXTENSION_POINT_ID` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`void` `added(EObject eObject, IFile file)` Deprecated.
`void` `changed(EObject eObject, IFile file)` Deprecated.
`java.util.Collection<FacetSet>` `getAllFacetSets()` Deprecated. This methods returns the facet sets of all the resources contained in the catalog.
`java.util.Set<FacetSet>` `getDefaultFacetSets(EPackage ePackage)` Deprecated. Get the set of default `FacetSet`s that apply to the given `EPackage`.
`java.util.Map<EPackage,java.util.HashSet<FacetSet>>` `getEPackageToDefaultFacetSetMap()` Deprecated.
`FacetSet` `getFacetSet(java.lang.String name)` Deprecated. This method returns the facet set of the resource having for name the "name" parameter value.
`java.lang.String` `getFileExtension()` Deprecated.
`static FacetSetCatalog` `getSingleton()` Deprecated.
`void` `removed(IFile file)` Deprecated.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### REGISTRATION_EXTENSION_POINT_ID

    public static final java.lang.String REGISTRATION_EXTENSION_POINT_ID

Deprecated.

See Also:
  Constant Field Values

#### FILE_EXTENSION

    public static final java.lang.String FILE_EXTENSION

Deprecated.

See Also:
  Constant Field Values

### Method Detail

#### getSingleton

    public static FacetSetCatalog getSingleton()

Deprecated.

#### getEPackageToDefaultFacetSetMap

    public java.util.Map<EPackage,java.util.HashSet<FacetSet>> getEPackageToDefaultFacetSetMap()

Deprecated.

#### getFacetSet

    public FacetSet getFacetSet(java.lang.String name)

Deprecated.
This method returns the facet set of the resource having for name the "name" parameter value.

Parameters:
  `name` - the name of a resource contained in the catalog
Returns:
  return a facet set

#### getDefaultFacetSets

    public java.util.Set<FacetSet> getDefaultFacetSets(EPackage ePackage)

Deprecated.
Get the set of default `FacetSet`s that apply to the given `EPackage`.

Parameters:
  `ePackage` - the package for which matching `FacetSet`s will be returned
Returns:
  the set of default `FacetSet`s

#### getAllFacetSets

    public java.util.Collection<FacetSet> getAllFacetSets()

Deprecated.
This methods returns the facet sets of all the resources contained in the catalog.

Returns:
  returns all the facet sets

#### getFileExtension

    public java.lang.String getFileExtension()

Deprecated.

#### changed

    public void changed(EObject eObject,
                        IFile file)

Deprecated.

#### added

    public void added(EObject eObject,
                      IFile file)

Deprecated.

#### removed

    public void removed(IFile file)

Deprecated.